org.eclipse.modisco.kdm.source.extension.ui.interfaces

## Interface SourceStrategy

    public interface SourceStrategy

### Method Summary

All Methods Instance Methods Abstract Methods
`ASTNodeSourceRegion` `getASTNodeSourceRegion(EObject eObject)` Return the ASTNodeSourceRegion corresponding to the EObject in parameter
`boolean` `isApplicableTo(Notifier target)` Return whether or not the source strategy is applicable to the EOBject

### Method Detail

#### getASTNodeSourceRegion

    ASTNodeSourceRegion getASTNodeSourceRegion(EObject eObject)

Return the ASTNodeSourceRegion corresponding to the EObject in parameter

Parameters:
  `eObject` - the EObject from which we want the ASTNodeSourceRegion
Returns:
  the ASTNodeSourceRegion

#### isApplicableTo

    boolean isApplicableTo(Notifier target)

Return whether or not the source strategy is applicable to the EOBject

Parameters:
  `eObject` - the EObject
Returns:
  boolean whether or not the source strategy is applicable to the EOBject